Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class AgentInformation

    java.lang.Object
      madkit.kernel.AgentInformation

All Implemented Interfaces:
  java.io.Serializable

    public final class AgentInformation

extends java.lang.Object
implements java.io.Serializable

The "identity card" of an agent. Stores name, identifiers & creation date

Version:
  d5 09/01/97
Author:
  Olivier Gutknecht
See Also:
  Serialized Form

Method Summary
`AgentAddress` | `getAddress()` Return the agent own AgentAddress
`java.util.Date` | `getCreationDate()` Return the time when the agent has been registred in the kernel tables
`java.lang.String` | `getName()` Get the patronymic agent name stored in the AgentAddress for this agent (does not used for uniqueness)
`AgentAddress` | `getOwner()` Return the owner (i.e. the agent which launched this agent), can be itself if launched directly by the kernel
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Get the patronymic agent name stored in the AgentAddress for this agent (does not used for uniqueness)

### getOwner

    public AgentAddress getOwner()

  Return the owner (i.e. the agent which launched this agent), can be itself if launched directly by the kernel

### getCreationDate

    public java.util.Date getCreationDate()

  Return the time when the agent has been registred in the kernel tables

### getAddress

    public AgentAddress getAddress()

  Return the agent own AgentAddress

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.